/* ==========================
   BUTTON LOADER
========================== */

#submitButton {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
}

#submitButton:disabled {
    cursor: wait;
    opacity: 0.8;
}


.button-loader {
    display: flex;
    align-items: center;
    gap: 5px;
}

.button-loader-hidden {
    display: none;
}


.button-loader span {
    width: 3px;
    height: 3px;

    background: rgb(122, 160, 171);
    border-radius: 50%;

    animation: button-loading 1.2s infinite ease-in-out;
}


.button-loader span:nth-child(1) {
    animation-delay: -0.8s;
}

.button-loader span:nth-child(2) {
    animation-delay: -0.6s;
}

.button-loader span:nth-child(3) {
    animation-delay: -0.4s;
}

.button-loader span:nth-child(4) {
    animation-delay: -0.2s;
}

.button-loader span:nth-child(5) {
    animation-delay: 0s;
}


@keyframes button-loading {

    0%, 80%, 100% {
        transform: scale(0.4);
        opacity: 0.4;
    }

    40% {
        transform: scale(1);
        opacity: 1;
    }

}

